%define	Summary	GNU Prolog is a free implementation of Prolog
%define _disable_lto 1
%define _disable_rebuild_configure 1

Name:		gprolog
Summary:	%{Summary}

Version:	1.4.4
Release:	7
URL:		http://www.gprolog.org/
Source0:	ftp://ftp.gnu.org:21/gnu/gprolog/%{name}-%{version}.tar.gz
Source100:	%{name}.rpmlintrc
Patch1:		gprolog-1.4.4-test.patch
Group:		Development/Other
ExclusiveArch:	%{ix86} x86_64 amd64 ppc
License:	GPLv2

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Latest information about GNU Prolog can
be found at http://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q
%patch1 -p1 -b .tst

%build

# fails with clang
export CC=gcc
export CXX=g++

cd src
CFLG="$(echo %{optflags} | sed -s "s/\-O2/-O1/g" \
     		    | sed -e "s/\-fomit-frame-pointer//")"

# Based on a gentoo ebuild (??)
CFLG="$CFLG -funsigned-char"
%configure	-with-c-flags="$CFLG -fno-unit-at-a-time" \
		--with-install-dir=%{_prefix} \
		--with-doc-dir=%{_datadir}/%{name}-%{version} \
		--with-html-dir=%{_datadir}/%{name}-%{version}/html \
		--with-examples-dir=%{_datadir}/%{name}-%{version}/examples
# parallel build is not safe - AdamW 2008/12
make

%check
cd src
#
export PATH=%{buildroot}%{_bindir}:$PATH
#
make check

%install
install -d %{buildroot}%{_bindir}

(cd src ; make install-system INSTALL_DIR=%{buildroot}%{_libdir}/%{name}-%{version})

(cd %{buildroot}%{_bindir} ; ln -sf ../%{_lib}/%{name}-%{version}/bin/* .)


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=GNU Prolog
Name[ru]=Язык логического программирования Пролог
Comment=%{Summary}
Comment[ru]=Компилятор языка программирования Пролог
Exec=%{name}
Icon=interpreters_section
Terminal=true
Type=Application
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Interpreters;
EOF


%files
%doc ChangeLog NEWS PROBLEMS README doc/html_node
%{_bindir}/*
%{_libdir}/%{name}*
%{_datadir}/applications/*




%changelog

* Sat Aug 13 2016 max_tre2000 <max_tre2000> 1.4.4-7uplos2016
- rebuild

* Wed Oct 21 2015 Crispin Boylan <crisb@mandriva.org> 1.4.4-7
- (16a401b) Disable lto
- (Tomasz Paweł Gajc: ccbd79f) MassBuild#817: Increase release tag

* Sun Jul 19 2015 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.4-6
- (3e82747) MassBuild#774: Increase release tag

* Thu Jan 08 2015 Cris Boylan <cris@beebgames.com> 1.4.4-5
- (ba13da4) Use gcc, clean a little

* Sun Dec 07 2014 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.4-4
- (547a7fd) MassBuild#609: Increase release tag

* Fri Jul 11 2014 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.4-3
- (1febebe) MassBuild#451: Increase release tag

* Fri Jun 13 2014 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.4-2
- (e19dcd9) MassBuild#436: Increase release tag

* Tue May 13 2014 Denis Silakov <denis.silakov@rosalab.ru> 1.4.4-1
- (6ace6fe) Added rpmlintrc
- (Denis Silakov: 7774f1a) Rediff patch
- (Denis Silakov: d889723) Updated to 1.4.4 (by updates_builder)

* Fri Dec 06 2013 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.0-5
- (6a90ff0) MassBuild#289: Increase release tag

* Fri Dec 06 2013 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.0-4
- (97c54a9) MassBuild#289: Increase release tag

* Fri Dec 06 2013 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.0-3
- (3568396) MassBuild#289: Increase release tag

* Fri Dec 06 2013 Bernhard Rosenkraenzer <bero@bero.eu> 1.4.0-2
- (eb49604) MassBuild#289: Increase release tag

* Tue Jul 16 2013 Denis Silakov <denis.silakov@rosalab.ru> 1.4.0-1
- (5ef7cfb) Merge with old cooker

* Fri May 03 2013 mdawkins (Matthew Dawkins) <mattydaw@gmail.com> 1.3.1-3
- (f97ba12) cleaned up spec
- (alex: faee868) merging with rosa2012.1 of project gprolog

* Thu Dec 01 2011 oden <oden@mandriva.org> 1.4.0-1
- (8292a24) - SILENT: RPM_BUILD_ROOT was removed
- (8292a24) SILENT: svn-revision: 736333
- (abondrov: 896d4a9) SILENT Spec cleanup
- (abondrov: 896d4a9) SILENT: svn-revision: 707993

* Sun Sep 04 2011 serg <serg@mandriva.org> 1.4.0-3
- (60fa369) new version 1.4.0
- (60fa369) SILENT: svn-revision: 698259

* Sun Sep 04 2011 serg <serg@mandriva.org> 1.3.1-3
- (5cd20b1) add russian comment
- (5cd20b1) SILENT: svn-revision: 698225
- (oden: 28f5a02) - mass rebuild
- (oden: 28f5a02) SILENT: svn-revision: 664921

* Thu Dec 02 2010 oden <oden@mandriva.org> 1.3.1-2
- (afa9661) - rebuild
- (afa9661) SILENT: svn-revision: 605497

* Fri Mar 05 2010 kharec <kharec@mandriva.org> 1.3.1-1
- (753ccdb) patch send upstream, not release.
- (753ccdb) SILENT: svn-revision: 514798
- (kharec: fbf0a79) - fix Source to use tar.gz
- (kharec: fbf0a79) - drop old patches (applied upstream)
- (kharec: fbf0a79) - add a patch for fix str fmt in 1.3.1
- (kharec: fbf0a79) - update to 1.3.1
- (kharec: fbf0a79) - fix license
- (kharec: fbf0a79) SILENT: svn-revision: 514797

* Mon Oct 05 2009 fwang <fwang@mandriva.org> 1.3.0-4
- (b499330) fix test
- (b499330) SILENT: svn-revision: 453832

* Mon Oct 05 2009 fwang <fwang@mandriva.org> 1.3.0-3
- (61e5e30) fix stf fmt
- (61e5e30) SILENT: svn-revision: 453830
- (fwang: c6f01d6) rediff noexecstack patch
- (fwang: c6f01d6) SILENT: svn-revision: 453796


